| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::SearchGroupLabel Class Reference
Inheritance diagram for Digikam::SearchGroupLabel:

## Signals
void | removeClicked ()

## Public Member Functions
| SearchGroupLabel (SearchViewThemedPartsCache *const cache, SearchGroup::Type type, QWidget *const parent=nullptr)
SearchXml::Operator | defaultFieldOperator () const
SearchXml::Operator | groupOperator () const
void | setDefaultFieldOperator (SearchXml::Operator op)
void | setGroupOperator (SearchXml::Operator op)

## Protected Slots
void | boxesToggled ()
void | toggleGroupOperator ()
void | toggleShowOptions ()

## Protected Member Functions
void | adjustOperatorOptions ()
void | paintEvent (QPaintEvent *) override
void | setExtended (bool extended)
void | updateGroupLabel ()